# Delete a support package

del ` https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages/:package_name`

Permanently deletes the specified support package from blob storage.

RBAC Capability Required: `fleet.device.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string Required  
- **name** string Required  
- **package_name** string Required

## Response

204 Support package deleted.

No response body.

## Errors

### 400 Bad Request

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
Pertinent information about the error  
  - **code** string Required  
The error code.  
  - **detail** string Required  
The error message.  
  - **extraDetail** map from strings to any Optional  
Extra information regarding this error.

### 401 Unauthorized

### 403 Forbidden

### 404 Not Found

### 429 Too Many Requests

### 500 Internal Server Error
